SqlWhereVisitor (Groovy 2.4.10)
Date: 2017-03-14

groovy.sql

## Class SqlWhereVisitor

- java.lang.Object
- - org.codehaus.groovy.ast.CodeVisitorSupport
  - - groovy.sql.SqlWhereVisitor

- All Implemented Interfaces:
    GroovyCodeVisitor

      public class SqlWhereVisitor
      extends CodeVisitorSupport

  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlWhereVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getParameters()`
    `String` | `getWhere()`
    `protected String` | `tokenAsSql(Token token)`
    `void` | `visitBinaryExpression(BinaryExpression expression)`
    `void` | `visitBooleanExpression(BooleanExpression expression)`
    `void` | `visitConstantExpression(ConstantExpression expression)`
    `void` | `visitPropertyExpression(PropertyExpression expression)`
    `void` | `visitReturnStatement(ReturnStatement statement)`
    `void` | `visitVariableExpression(VariableExpression expression)`

    - ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

      `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitRangeExpression, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitWhileLoop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlWhereVisitor

          public SqlWhereVisitor()

  - ### Method Detail

    - #### getWhere

          public String getWhere()

    - #### visitReturnStatement

          public void visitReturnStatement(ReturnStatement statement)

      Specified by:
        `visitReturnStatement` in interface `GroovyCodeVisitor`
      Overrides:
        `visitReturnStatement` in class `CodeVisitorSupport`

    - #### visitBinaryExpression

          public void visitBinaryExpression(BinaryExpression expression)

      Specified by:
        `visitBinaryExpression` in interface `GroovyCodeVisitor`
      Overrides:
        `visitBinaryExpression` in class `CodeVisitorSupport`

    - #### visitBooleanExpression

          public void visitBooleanExpression(BooleanExpression expression)

      Specified by:
        `visitBooleanExpression` in interface `GroovyCodeVisitor`
      Overrides:
        `visitBooleanExpression` in class `CodeVisitorSupport`

    - #### visitConstantExpression

          public void visitConstantExpression(ConstantExpression expression)

      Specified by:
        `visitConstantExpression` in interface `GroovyCodeVisitor`
      Overrides:
        `visitConstantExpression` in class `CodeVisitorSupport`

    - #### visitPropertyExpression

          public void visitPropertyExpression(PropertyExpression expression)

      Specified by:
        `visitPropertyExpression` in interface `GroovyCodeVisitor`
      Overrides:
        `visitPropertyExpression` in class `CodeVisitorSupport`

    - #### visitVariableExpression

          public void visitVariableExpression(VariableExpression expression)

      Specified by:
        `visitVariableExpression` in interface `GroovyCodeVisitor`
      Overrides:
        `visitVariableExpression` in class `CodeVisitorSupport`

    - #### getParameters

          public List<Object> getParameters()

    - #### tokenAsSql

          protected String tokenAsSql(Token token)